* {
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-family: 'Mulish', sans-serif;
  background: rgb(55, 100, 144);
}

nav {
  overflow: hidden;
  margin: auto;
  color: white;
  white-space: nowrap;
}

nav a {
  float: left;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  color: rgba(255,255,255,0.5);
}

#profiles {
  float: right;
}

@media screen and (max-width: 768px) {
  #profiles {
    float: left;
  }
}

.container {
  color: rgba(255,255,255,0.5);
  text-align: center;
  margin-bottom: 3vw;
}

.title {
  font-size: 5rem;
  color: white;
}

@media screen and (max-width: 768px) {
  .title {
    font-size: 2.5rem;
  }
}

a.active {
  color: white;
  font-weight: bold;
}

a:hover {
  color: white;
}

#loader-background {
  width: 100%;
  height: 100%;
  background-color: rgb(55, 100, 144);
}

.introduction {
  color: white;
  font-size: large;
  text-align: center;
}

.projects a {
  color: white;
}

.projects, .introduction a:visited {
  color: white;
}

ul {
  list-style: none;
  color: white;
  font-size: large;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0%);
}

ul li::before {
  content: "\2022";
  color: rgba(255,255,255,0.5);
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

/* Typing Effect */
.wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}
.typing-effect {
  width: 11ch; /*Length of sentence/word */
  animation: typing 2s steps(22);
  white-space: nowrap;
  overflow: hidden;
}

@keyframes typing {
  from {
    width: 0;
  }
}

/* Loader */
#lds-ring {
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80px;
  height: 80px;
}
#lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
#lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
#lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
#lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
